## org.eclipse.emf.ecore.xmi.impl
Class EMOFSaveImpl.EMOFXMLTypeInfoImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl.XMLTypeInfoImpl
          org.eclipse.emf.ecore.xmi.impl.EMOFSaveImpl.EMOFXMLTypeInfoImpl

All Implemented Interfaces:
  XMLSave.XMLTypeInfo

Enclosing class:
  EMOFSaveImpl

    protected class EMOFSaveImpl.EMOFXMLTypeInfoImpl

extends XMLSaveImpl.XMLTypeInfoImpl

Forces type information (xsi:type/xmi:type) to be serialized for references in cases where the object's type is different from the feature's type, except for the case of the eStructuralFeatures of an EClass, because for that case, an EMOF Property instance will be serialized and no xsi:type is needed for EMOF for that.

Field Summary
`protected XMLSave.XMLTypeInfo` `xmlTypeInfo`

Constructor Summary
`EMOFSaveImpl.EMOFXMLTypeInfoImpl(XMLSave.XMLTypeInfo xmlTypeInfo)`

Method Summary
`boolean` `shouldSaveType(EClass objectType, EClass featureType, EStructuralFeature feature)` Determines whether type information should be saved for an object of the specified type in a feature of the specified type.
`boolean` `shouldSaveType(EClass objectType, EClassifier featureType, EStructuralFeature feature)` Determines whether type information should be saved for an object of the specified type in a feature of the specified type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlTypeInfo

    protected XMLSave.XMLTypeInfo xmlTypeInfo

Constructor Detail

### EMOFSaveImpl.EMOFXMLTypeInfoImpl

    public EMOFSaveImpl.EMOFXMLTypeInfoImpl(XMLSave.XMLTypeInfo xmlTypeInfo)

Method Detail

### shouldSaveType

    public boolean shouldSaveType(EClass objectType,
                                  EClassifier featureType,
                                  EStructuralFeature feature)

  Description copied from interface: `XMLSave.XMLTypeInfo`
  Determines whether type information should be saved for an object of the specified type in a feature of the specified type.

  Specified by:
    `shouldSaveType` in interface `XMLSave.XMLTypeInfo`
  Overrides:
    `shouldSaveType` in class `XMLSaveImpl.XMLTypeInfoImpl`
  Parameters:
    `objectType` - The object's type.
    `featureType` - The feature's type.
    `feature` - The feature in which the object is stored.
  Returns:
    `true` if the type should be saved; `false` otherwise.

### shouldSaveType

    public boolean shouldSaveType(EClass objectType,
                                  EClass featureType,
                                  EStructuralFeature feature)

  Description copied from interface: `XMLSave.XMLTypeInfo`
  Determines whether type information should be saved for an object of the specified type in a feature of the specified type.

  Specified by:
    `shouldSaveType` in interface `XMLSave.XMLTypeInfo`
  Overrides:
    `shouldSaveType` in class `XMLSaveImpl.XMLTypeInfoImpl`
  Parameters:
    `objectType` - The object's type.
    `featureType` - The feature's type.
    `feature` - The feature in which the object is stored.
  Returns:
    `true` if the type should be saved; `false` otherwise.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.